INTERFACE
SUBROUTINE CUMASTRNTL&
 & ( KIDIA, KFDIA, KLON, KLEV,&
 & LDLAND, PTSPHY,&
 & PTEN5, PQEN5, PUEN5, PVEN5, PLITOT5,&
 & PVERVEL5, PQSEN5, PQHFL5, PAHFS5,&
 & PAP5, PAPH5, PGEO5, PGEOH5,&
 & PTENT5, PTENQ5, PTENU5, PTENV5,&
 & LDCUM, KTYPE, KCBOT, KCTOP,&
 & KBOTSC, LDSC,&
 & PTU5, PQU5, PLU5, PLUDE5,&
 & PENTH5, PMFLXR5, PMFLXS5, PRAIN5,&
 & PMFU5, PMFD5,&
 & KTRAC, PCEN5, PTENC5, PSCAV5,&
 & PTEN, PQEN, PUEN, PVEN,&
 & PVERVEL, PQSEN, PQHFL, PAHFS,&
 & PAP, PAPH, PGEO, PGEOH,&
 & PTENT, PTENQ, PTENU, PTENV,&
 & PTU, PQU, PLU, PLUDE,&
 & PENTH, PMFLXR, PMFLXS, PRAIN,&
 & PMFU, PMFD,&
 & PCEN, PTENC ) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KLON
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KFDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KTRAC
LOGICAL ,INTENT(IN) :: LDLAND(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PTSPHY
REAL(KIND=JPRB) ,INTENT(IN) :: PTEN5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQEN5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PUEN5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PVEN5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PLITOT5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PVERVEL5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQSEN5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQHFL5(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PAHFS5(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PAP5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPH5(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PGEO5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PGEOH5(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PCEN5(KLON,KLEV,KTRAC)
REAL(KIND=JPRB) ,INTENT(IN) :: PSCAV5(KTRAC)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENT5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENQ5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENU5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENV5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENC5(KLON,KLEV,KTRAC)
LOGICAL ,INTENT(INOUT) :: LDCUM(KLON)
INTEGER(KIND=JPIM),INTENT(INOUT) :: KTYPE(KLON)
INTEGER(KIND=JPIM),INTENT(INOUT) :: KCBOT(KLON)
INTEGER(KIND=JPIM),INTENT(INOUT) :: KCTOP(KLON)
INTEGER(KIND=JPIM),INTENT(OUT) :: KBOTSC(KLON)
LOGICAL ,INTENT(OUT) :: LDSC(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTU5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQU5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLU5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLUDE5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PENTH5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PMFLXR5(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PMFLXS5(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRAIN5(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PMFU5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PMFD5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTEN(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQEN(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PUEN(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PVEN(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PVERVEL(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQSEN(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQHFL(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PAHFS(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PAP(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPH(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PGEO(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PGEOH(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PCEN(KLON,KLEV,KTRAC)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENT(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENQ(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENU(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENV(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENC(KLON,KLEV,KTRAC)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTU(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQU(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLU(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLUDE(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PENTH(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PMFLXR(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PMFLXS(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRAIN(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PMFU(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PMFD(KLON,KLEV)
END SUBROUTINE CUMASTRNTL
END INTERFACE
